-- Currently known "default" spawn list.
-- If a spawn group matches this table exactly, it means the spawn group is a general purpose spawn group, and we can add the missing unit groups here.
local groupsOLD = {
	"tac_shield_wall_charge",
	"FBI_spoocs",
	"tac_tazer_charge",
	"tac_tazer_flanking",
	"tac_shield_wall",
	"tac_swat_rifle_flank",
	"tac_shield_wall_ranged",
	"tac_bull_rush"
}

Hooks:PostHook(ElementSpawnEnemyGroup, "_finalize_values", "inf_elementspawnenemygroup_finalize", function(self)
	local groups = self._values.preferred_spawn_groups
	-- If we have an ordinary spawn with exactly the old group elements, add all defined groups.
	if groups and #groups == #groupsOLD and table.contains_all(groups, groupsOLD) then
		for name,_ in pairs(tweak_data.group_ai.enemy_spawn_groups) do
			if not table.contains(groups, name) then
				table.insert(groups, name)
			end
		end
	end
end)
